## bzr-builddeb 0.15~rc1

=== debian/changelog ===
bzr-builddeb (0.15~rc1) feisty; urgency=low
  
  * Version designed to work with bzr 0.15.
  * Bump depends on bzr appropriately.
  * Install the plugin in .../plugins/builddeb instead of
    .../plugins/bzr-builddeb, as the latter is not a valid python identifier
    as is now required by bzr.
  * Export the package build to the correct directory name, using the upstream
    version rather than the full version. This removes a warning from
    dpkg-source when building and Closes: #409981. Thanks to James Vega.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 28 Feb 2007 19:16:28 +0000

bzr-builddeb (0.14ubuntu2) feisty; urgency=low

  * fix the deprecation warning about 'short options' on every load of
    this plugin with bzr 0.14.
  * repack with a full bzr branch in the source

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 31 Jan 2007 08:46:05 +0100

bzr-builddeb (0.14ubuntu1) feisty; urgency=low

  * revert the smart options patch so that the package gets usable with bzr 0.13 again.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Jan 2007 23:16:44 +0100

bzr-builddeb (0.14) UNRELEASED; urgency=low

  * Compatible with bzr 0.14.
  * Drop the silly restriction on only invoking the command from the root
    of a branch.
  * Add support for non-native full source packages. To do this, just
    have orig-dir pointing to the dir containing the upstream tarballs.
    This involves a change in behaviour I am afraid. Native packages are
    now not the default, so if you have one echo 'native = True' to
    global.conf.
  * Add support for creating non-native packages from full source branches
    by creating the tarball from the branch, rather than the user creating it.
    It simply blows away debian/ from the tarball and names it appropriately
    in the build dir to get a non-native package where all of and only
    debian/ are in the .diff.gz.
  * Add support for exporting the upstream code from a bzr branch when in
    merge mode. Just use export-upstream with a URI of a bzr branch and that
    code will be the .orig.tar.gz of the source package. Please make sure
    that you don't grab a different upstream code for the same upstream
    version, that could break things horribly. You can also specify the
    revision to export with export-upstream-revision to combat this.
  * Add support for pulling in the upstream branch when it is local so that
    you can build the lastest version. The 'export-upstream-prepull' option
    is only availble as a config file option.
  * Add an option to stop the build if the above mentioned pull did nothing.
  * Add a --short/-S parameter to build source packages and a source-builder
    option to configure what it does.
  * Change to use the new version of the python-debian API, so that 0.1.1 is
    now required.
  * Builddeb configuration files that are used in the branch are marked as
    non-trusted. This means that you can no longer set any of the builders in
    them, as this would be arbitrary code execution. You have to set the
    builders in your ~/.bazaar/builddeb.conf now. If you don't like this
    change then please propose a scheme that allows you to do what you want,
    but doesn't expose people to the security threat.
  * Bump the required version of bzr to 0.14~rc1 or greater and less than 0.15.
  * Depend on dpkg-dev and fakeroot as they are used in the default builder
    commands.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 31 Jan 2007 20:15:42 +0000

bzr-builddeb (0.13ubuntu1) feisty; urgency=low

  * upload to feisty
  * bump depends on bzr on (>= 0.13)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Jan 2007 00:47:39 +0100

bzr-builddeb (0.13) unstable; urgency=low

  * New release. 
  * Comptible with bzr 0.13.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 20 Dec 2006 00:22:18 +0000

bzr-builddeb (0.11) experimental; urgency=low

  * Initial Release. (Closes: #380198)
  * add myself to Uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Wed,  3 Jan 2007 20:23:37 +0100
