=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)

build: $(PYVERS:%=build-python%)
	rst2html README > README.html
	touch $@

build-python%:
	python$* setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-all-stamp

	python setup.py clean --all
	dh_clean

install: build $(PYVERS:%=install-python%)

install-all-stamp:
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	touch install-all-stamp

install-python%: install-all-stamp
	python$* setup.py install --root=$(CURDIR)/debian/bzr-builddeb --no-compile

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_compress
	dh_fixperms
	dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
