## bzr-builddeb 0.90ubuntu1

=== debian/changelog ===
bzr-builddeb (0.90ubuntu1) gutsy; urgency=low

  * upload to gutsy. Verified it still works with bzr 0.18
  * Complete the transition of deb822 into python-debian. LP: #134607

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 08 Sep 2007 23:14:30 +0200

bzr-builddeb (0.90) unstable; urgency=low

  * Support exporting the working tree when it contains symlinks. Thanks
    to John Arbash Meinel for help on fixing it. (LP: #132391)
  * Fix the repacking of .tar.bz2 file to .tar.gz. Thanks Frederic Brin.
  * Complete the transition of deb822 into python-debian.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 22 Aug 2007 22:25:27 +0100

bzr-builddeb (0.19) unstable; urgency=low

  * Allow empty author information in the changelog for those that like to
    develop without filling it in, and then add it while releasing.
  * Drop the dependency on python-deb822 as it is now part of python-debian.
    Thanks to Loïc Minier and Lucas Nussbaum for noticing.
    (Closes: #436386, #436089)

 -- James Westby <jw+debian@jameswestby.net>  Mon, 13 Aug 2007 22:03:03 +0100

bzr-builddeb (0.18) unstable; urgency=medium

  * Medium urgency as it will hold up the bzr 0.18 transition.
  * Remove any 'debian/' directory from the upstream tarball in merge mode,
    so that the branch contains all of the files that will appear there.
  * Allow the changelog entries to have no author information.
  * Add a working-tree option to the configuration files that if set always
    builds the working tree rather than the last revision in the branch.
  * uscan is now used to download an upstream tarball if the version required
    is not available and the user has a watch file. Thanks to Daniel Holbach
    for the insipration for how to implement this. This makes devscripts a
    dependency. Add a watch file to your package to take advantage of this.
  * Add a user manual with some proper documentation. See
    /use/share/doc/builddeb/user_manual/index.html
  * Add an import-dsc command to import history from a series of source
    packages.
    - Currently only works for normal and native modes.
    - Currently only does initial imports, incremental imports will come later
      I hope.
    - Can automatically grab any packages from snapshot.debian.net.
  * Add a merge-upstream command that allows you to grab a new upstream
    version and merge your packaging changes back in to it.
    - Currently only supports normal mode.
    - Doesn't integrate with uscan yet.
  * Remove the need for --ignore-unknowns, as it is no longer checked for.
    The option is still there for backwards compatibility, but it now does
    nothing.

 -- James Westby <jw+debian@jameswestby.net>  Tue, 10 Jul 2007 22:25:49 +0100

bzr-builddeb (0.17) unstable; urgency=low

  [ James Westby ]
  * Pass max_blocks=1 when constructing changelogs as that is all that is
    needed currently. This requires a newer python-debian (0.1.3), so bump the
    version requirements. This would have helped with cases like #429299, but
    Reinhard already fixed that in python-debian.
  * python-deb822 changed from new classes to old classes in version 0.3.
    Handle the change in API, and bump the dependencies to make sure it will
    work.
  * Fix up Build-Depends and Build-Depends-Indep (thanks lintian).
  * Now require the changelog to be added to the branch with bzr add before
    it will try and read it. This avoids a nasty error.

 -- James Westby <jw+debian@jameswestby.net>  Mon, 18 Jun 2007 22:56:29 +0100

bzr-builddeb (0.16.2) unstable; urgency=low

  * loosen the dependency on bzr. bzr-builddeb seems to be not be broken
    by bzr version 0.17, so remove the upper bound of the dependency.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Jun 2007 19:45:38 +0100

bzr-builddeb (0.16.1) unstable; urgency=low

  * fix FTBFS by correcting build depends. Thanks to
    "Rob Weir" <rob@weir.id.au> for providing the patch! (Closes: #423745)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 May 2007 14:08:11 +0200

bzr-builddeb (0.16) unstable; urgency=low

  [James Westby]
  * Lock the working trees to fix compatibility with 0.15+ dirstate trees.
    (Closes: #421900)
  * Add the start of a test suite to help avoid bugs like that.
  * Update the dependency on bzr to reflect the compatibility of this release.
    (Closes: #421041)
  * Take the package under the wing of pkg-bazaar.

  [Reinhard Tartler]
  * apply patch to util.py as suggested by Robert Collins: Use Tree
    directly, don't use the inventory.
  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue,  8 May 2007 18:43:19 +0200

bzr-builddeb (0.15~rc1ubuntu1) gutsy; urgency=low

  * loosen depends, 0.15 works with bzr 0.16 as well

 -- Reinhard Tartler <siretart@tauware.de>  Tue,  1 May 2007 16:17:06 +0200
