=== debian/rules ===
--- 
+++ 
@@ -6,18 +6,34 @@
 
 PYVERS=$(shell pyversions -vr)
 
-build: $(PYVERS:%=build-python%)
+doc_dir=doc/user_manual/
+rst_docs=$(wildcard $(addsuffix /*.rst, $(doc_dir)))
+html_docs=$(patsubst %.rst, %.html, $(rst_docs))
+
+%.html: %.rst
+	rst2html --stylesheet-path=$(doc_dir)/user_manual.css $< > $@
+
+docs: $(html_docs)
+
+build: $(PYVERS:%=build-python%) docs
 	rst2html README > README.html
 	touch $@
 
 build-python%:
 	python$* setup.py build
+ifeq (,$(findstring nocheck,$(DEBBUILDOPTS)))
+ifeq (,$(findstring notest,$(DEBBUILDOPTS)))
+	python$* __init__.py
+endif
+endif
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-all-stamp
+	rm -f $(html_docs)
+	rm -f README.html
 
 	python setup.py clean --all
 	dh_clean
@@ -37,6 +53,7 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
+	dh_install
 	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples
