## bzr-builddeb 0.93ubuntu1~gutsy1

=== debian/changelog ===
bzr-builddeb (0.93ubuntu1~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <jdong@ubuntu.com>  Tue,  8 Apr 2008 10:44:21 +0100

bzr-builddeb (0.93ubuntu1) hardy; urgency=low

  *  Disable testsuite temporarily to fit FTBFS in buildd

 -- John Dong <jdong@ubuntu.com>  Tue, 01 Apr 2008 13:43:14 -0400

bzr-builddeb (0.93) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Add Vcs-Bzr field (dpkg supports it now) in debian/control.
  * Update GPL path to GPL-2 in debian/copyright as GPL-3 is now the default.

  [ Jelmer Vernooij ]
  * Allow building snapshots of packages based on version in changelog.
    (Closes: #452130)

  [ James Westby ]
  * Stop specifying a specific branch format when importing a .dsc.
    This improves performance significantly as packs will now be used.
    Require bzr 1.0 so that packs are default.
  * Fix the import diff code to not deadlock on large diffs. Thanks to
    Jamie Wilkinson. (Closes: #451248)
  * Exclude more files/directories than just .bzr when importing.
  * Normalise filenames from the tarballs when extracting to import a
    dsc to avoid errors on strange tarballs.
  * Treat hardlinks in tarballs as a copy of the file. This at least
    gets the data, and is representable in bzr.
  * Don't silently skip unkown types when extracting a tarball, error
    instead.
  * Don't use relative imports. Thanks Robert Collins. (LP: #189429)
  * Remove the .bzr-builddeb from merge builds not in "larstiq" mode.
    (Closes: #464033)
  * Don't tell cp to be verbose when copying back the debian/ dir
    in bd-do.
  * Update the dependencies on bzr and bzrtools to more recent versions.
  * Update the VCS-Bzr: header for the new branch location.
  * Avoid failing the testsuite because of a user's ~/.bazaar/builddeb.conf.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 19 Mar 2008 21:27:37 +0000

bzr-builddeb (0.92) unstable; urgency=low

  * Support incremental imports of normal mode packages from source packages
    for uploads done outside the VCS.
  * Also look for upstream tarballs in the archives. Do this in preference
    to the watch file, for the case where the upstream was repacked.
  * Filter out any changes to .bzr in packages that are being imported as they
    will totally mess things up. If the branch is in the source package then
    just use apt-get source. (LP: #156003)
  * bzr 0.92 is required.
  * Improve the error message when the upstream tag is not found to actually
    give the name of the expected tag.
  * Allow the last upstream not to be on the mainline during merge-upstream.
  * Don't complain when repacking the tarball if the target exists, but is the
    same as the source. Only .tar.gz can be considered identical.

 -- James Westby <jw+debian@jameswestby.net>  Wed, 31 Oct 2007 21:06:58 +0000

bzr-builddeb (0.91) unstable; urgency=low

  [ Frédéric Brin ]
  * Correct unknown variable (files) when importing dsc.
  * chmod 755 debian/rules when importing dsc

  [ James Westby ]
  * Now handles merge mode with multiple entries in the root of
    upstream's tarball, which was causing havoc with dh-make-php packages.
    Thanks to Mark A. Hershberger for the report and Adeodato Simó
    for the pointer to the fix. (Closes: #440069)
  * Add version_info attribute so that bzrlib can find out the version of
    the plugin. Please try and remember to update it when releasing (set
    the word to 'final').
  * Use None instead of [] to revert all files as the latter is deprecated
    in bzr 0.91. Bump the required version accordingly.
  * Build the working tree by default (so --working-tree now has no effect,
    along with --ignore-changes).
  * Add --revision option to allow building an old revision of the branch
    without doing revert or similar.
  * Add the start of a blackbox test suite.
  * Add the ability to export an upstream branch in normal mode.
  * Add a bd-do command for running commands when in merge mode. This
    is useful when you need the full upstream source, for instance patch
    handling.
  * Add hook support for running arbitrary commands at pre-defined points
    in the build.
  * Support $UPSTREAM_VERSION in the export-upstream-revision configuration
    option. This allows builddeb to find the correct upstream revision based
  * Correct the pointer to the user manual in the README. Thanks to Achim
    Bohnet for noticing the mistake. (LP: #145019)
  * Many documentation fixes from dAniel hAhler. Thanks very much.

 -- James Westby <jw+debian@jameswestby.net>  Tue, 23 Oct 2007 22:24:40 +0100
