=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,6 @@
 
 build-python%:
 	python$* setup.py build
-ifeq (,$(findstring nocheck,$(DEBBUILDOPTS)))
-ifeq (,$(findstring notest,$(DEBBUILDOPTS)))
-	python$* __init__.py
-endif
-endif
 	touch $@
 
 clean:
