## bzr-builddeb 0.95

=== debian/changelog ===
bzr-builddeb (0.95) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Support building from remote branches,
    "bzr builddeb http://wherever/package.debian" will now work.

 -- James Westby <james.westby@canonical.com>  Fri, 16 May 2008 12:29:08 +0100

bzr-builddeb (0.94) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Support building against snapshots from Subversion branches.
  * Suggest bzr-svn to hint that you can work with svn. The version
    is the one that exports the svn-buildpackage mergeWithUpstream
    property as "merge = True", so that bzr-builddeb will seamlessly
    build these branches.

  [ Sebastian Bober ]
  * Disable the testsuite during build as we can't be sure that
    /etc/apt/sources.list has a deb-src line. "check" or "test"
    in DEB_BUILD_OPTIONS will turn it back on again. (Closes: #472543)
  * Build-Depend and Depend on python-apt, as it is used directly
    now.
  * Tweaks to stamp handling in debian/rules.

  [ James Westby ]
  * Make the tarball dir before trying to download from the archive in
    to it. (LP: #223948)

 -- James Westby <james.westby@canonical.com>  Thu, 15 May 2008 16:59:00 +0100
