=== debian/rules ===
--- 
+++ 
@@ -21,12 +21,15 @@
 
 build-python%:
 	python$* setup.py build
-	touch $@
+ifneq (,$(filter test check,$(DEB_BUILD_OPTIONS)))
+	BZR_PLUGIN_PATH="$(CURDIR)/build/lib/bzrlib/plugins/" python$* /usr/bin/bzr test-builddeb
+endif
+	touch $@-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp install-all-stamp
+	rm -f build-stamp install-all-stamp build-python*-stamp
 	rm -f $(html_docs)
 	rm -f README.html
