## bzr-builddeb 2.0.2~0ubuntu2

=== debian/changelog ===
bzr-builddeb (2.0.2~0ubuntu2) intrepid; urgency=low

  * Use properties.tarball_dir() instead of .target_dir(), as the latter
    doesn't exist. Thanks Laurent Bigonville (LP: #286403)

 -- James Westby <james.westby@canonical.com>  Mon, 20 Oct 2008 14:35:19 +0100

bzr-builddeb (2.0.2~0ubuntu1) intrepid; urgency=low

  * Pass --only-source to "apt-get source" call, as this will prevent apt
    from assuming the package name we pass is a binary package name which
    it must look up the source for. This would cause problems when there
    are a source package and binary package that are named the same, but
    the binary package isn't built from the source package, e.g. firefox,
    linux. (bug #275446)
  * Add "squeeze" and "jaunty" to the list of known releases. (bug #275448)
  * Make source and result dirs being the same work better.
  * Simplify use of uscan and make it more robust.

 -- James Westby <james.westby@canonical.com>  Sun, 28 Sep 2008 14:53:16 +0100

bzr-builddeb (2.0.1) experimental; urgency=low

  * Fix retrieval of the upstream source from a watch file of the archive.
    - It would download to the specified tarball directory, but then
      report it as stored in the compatibility directory. (bug #262618)
  * Don't move the result if the source and destination are the same location.
    (bug #262621)
  * Use --result-dir rather than --result for concistency with the other
    options and the configuration key. --result is still accepted, but
    deprecated. (bug #263643)
  * Add a revisionspec that allows you to specify a revision by the
    package version number, e.g. -r package:0.1-1.
    https://blueprints.launchpad.net/bzr-builddeb/+spec/package-revisionspec
  * Use the upstream part of the version number when repacking the tarball.
    (bug #263373)
  * Merge the upstream tags in to the packaging ones after importing a new
    upstream. (bug #263373)
  * Strip the changelog message as debcommit does. Thanks to Colin Watson.
    (bug #265045)
  * "Fix" fetching between two locked branches which share a repository.
    (bug #264705)
  * Handle remote files in repack check that checksums match when target
    exists. (bug #263371)
  * Fix the README to mention bzrtools is required.
  * Depend on at least 0.1.11 of python-debian for strict=False support. 
  * Check that versions are in the ancestry of the current branch.
    (bug #264701)
  * Fix locking problems with merge_upstream in shared repository.
  * Handle invalid version numbers in the changelog by ignoring them.
    (bug #248447)
  * During merge-upstream correctly check whether the new upstream is
    already imported. (bug #272118)

 -- James Westby <james.westby@canonical.com>  Mon, 22 Sep 2008 12:04:09 +0100

bzr-builddeb (2.0) experimental; urgency=low

  [ Jelmer Vernooij ]
  * Support +bzr for snapshots as well as ~bzr.
  * Lock the tree before starting as remote trees are more strict about this,
    meaning there were problems with remote branches.
  * Import apt_pkg only when used, as it is used rarely and importing it
    has an overhead, and also leads to increased memory usage.

  [ James Westby ]
  * Lots of compatibilty breaking changes. Please see NEWS.Debian for advice.
  * Use the last entry from debian/changelog as the commit message
    when importing a .diff.gz or native package with import-dsc.
  * Use dpkg-source to extract source pacakges, which is much more robust.
  * Don't use strict changelog parsing from python-debian, as we don't
    need faithful reproduction.
  * Follow dpkg-buildpackage etc. more closely by looking for .orig.tar.gz
    in the parent directory, and placing the result of the build there.
    - ../tarballs is still used a fallback for compatibility.
    - moving the result doesn't fail the build if the .changes can't be
      found when the default is used, to support builders that move
      the package elsewhere.
    - The .changes file can be missed if the arch is not what is expected,
      for instance if "debuild -S" was set as the builder.
  * builddeb --result now works for packages with an epoch.
  * Added mark-uploaded command that sets the appropriate tag based
    on the version, for use after upload.
  * merge-upstream and import-dsc have had their command line options
    changed to be more sensible, and to be future-proof. Details in
    the online help or the documetation.
  * --snapshot has been dropped from import-dsc. snapshot.debian.net
    is virtually useless currently. Something similar can be brought
    back when we have such a service again.

 -- James Westby <james.westby@canonical.com>  Fri, 13 Jun 2008 15:03:53 +0100
