## bzr-builddeb 2.1.2~ubuntu1

=== debian/changelog ===
bzr-builddeb (2.1.2~ubuntu1) jaunty; urgency=low

  * Add --download-version to the uscan command line.
  * Make --export-upstream work again by not trying to use a removed attribute
    in config.py. (LP: #345747)
  * Look in the correct place for the tarball created by get-orig-source.

 -- James Westby <james.westby@ubuntu.com>  Mon, 09 Mar 2009 09:04:48 +1000

bzr-builddeb (2.1.1) experimental; urgency=low

  * Make get-orig-source priority higher than uscan. Thanks Martin Pitt.
    (LP: #339343).
  * Correct variable used in provide_with_apt. Thanks also to Martin Pitt.
    (LP: #339333)
  * Use hashlib instead of the sha and md5 modules. Thanks Kees Cook.
    (LP: #338525)

 -- James Westby <james.westby@ubuntu.com>  Sun, 08 Mar 2009 17:34:15 +1000

bzr-builddeb (2.1ubuntu1) jaunty; urgency=low

  * Add --install-layout=deb to avoid files ending up in /usr/local

 -- James Westby <james.westby@ubuntu.com>  Thu, 05 Mar 2009 14:14:18 +0000

bzr-builddeb (2.1) experimental; urgency=low

  * Merge the tags from the upstream branch when doing merge-upstream with
    a branch.
  * Catch and wrap ChangelogParseError to avoid the traceback (LP: #215732)
  * Warn when a key is defined outside of any sections in a config file.
    (LP: #309335)
  * Warn when the user uses the deprecated --result option. (LP: #268675)
  * Add "--release-heuristic changelog" to dch call after merge-upstream so
    that UNRELEASED entries are edited rather than a new stanza added.
    (Closes: #515921, LP: #331994)
  * Allow specifying the merge type in merge-upstream (LP: #310694)
  * Make merge mode work with Python 2.6 (LP: #336686)
  * Give a more informative message if pristine-tar isn't installed.
    (LP: #336442)
  * Record extra authors in import-dsc based on what is in the changelog
    entry (LP: #335071)
  * Provide a commit message template based on additions to debian/changelog,
    similar to debcommit. Bump version of bzr required to 1.10, which is the
    release that introduced the hook. (Closes: #497415, LP: #331993)
  * Give a better error if the pristine upstream branch can't be located.
    (Closes: #517869)

 -- James Westby <james.westby@ubuntu.com>  Thu, 19 Feb 2009 09:26:34 +0000

bzr-builddeb (2.1~0ubuntu1) jaunty; urgency=low

  [ Jelmer Vernooij ]
  * Add simple deb: directory service for Bazaar that uses the dpkg Vcs-* fields.
  * Fix mark-uploaded when used in merge mode. (Closes: #500851)
  * Support merging upstream from a Bazaar branch. (Closes: #493386)
   + Also support merging from upstream Subversion branches. (LP: #295275)
  * Make --version option and location argument to merge-upstream optional.
  * Add -d option to merge-upstream.
  * Try to retrieve upstream tarball using get-orig-source rule in
    debian/rules if everything else fails. (Closes: #498622)
  * Support Vcs-Git in the deb: directory service if bzr-git is installed.
  * Use svn-buildpackage configuration when present. 
  * Print name of created tag in mark-uploaded. (Closes: #497416)

  [ James Westby ]
  * Support repacking of .zips. Thanks Daniel Hahler.
  * Switch to debuild instead of dpkg-buildpackage -rfakeroot -uc -us. The most
    noticeable change will be that it now tries to sign by default. Add a NEWS
    entry to explain this.
  * Support passing extra options to the builder using "bzr bd -- --foo" syntax.
  * Don't use the distribution name in the tags, fixing myriad issues, but
    giving us a compatibility headache. Old clients won't see the new tags,
    but using the old tags lead to bugs, and the only way to fix that is to
    use the new tags. Not a good situation, but moving forwards we will have
    a much better situation.
  * Update the changelog after merge-upstream, rather than telling the user
    exactly what to run. (LP: #296516)
  * Remove export-upstream mode in favour of merge-upstream, see NEWS.Debian.
  * Use pristine-tar to store and retrieve exact tarballs so that packages
    can be built directly from the branch. In particular merge-upstream and
    import-dsc now store this information. This will avoid problems with
    the .orig.tar.gz changing between uploads. (LP: #317111)
  * Depend on pristine-tar.

  [ Kees Cook ]
  * builder.py: switch to using external tar command to replace buggy
   tarfile unpacker. (Closes: #463349, LP: #303931)

 -- James Westby <james.westby@ubuntu.com>  Wed, 18 Feb 2009 23:18:13 +0000
