## bzr-builddeb 2.2~ubuntu3

=== debian/changelog ===
bzr-builddeb (2.2~ubuntu3) karmic; urgency=low

  [ Jelmer Vernooij ]
  * Automatically use merge mode if there's only a debian/ directory in
    the packaging branch. Closes: #529816.

  [ James Westby ]
  * Merge merge-package command from Muharem Hrnjadovic to allow merging
    another branch of the same package in a way that will avoid spurious
    conflicts from divergent upstream histories. Thanks Muharem.
  * Don't crash on merge-upstream due to API changes not being fully applied.
  * Add plugin information as parsed by "bzr plugin-info".
  * Improve the error when the upstream tag is missing during merge-upstream.
  * Also query the config file for the revision to use in export-upstream
    (LP: #415572)
  * Don't populate the commit message editor with all lines added to
    debian/changelog. Only use the stripped version of the "change" lines.
  * Always use the date from debian/changelog during import-dsc. Thanks
    Sveinung Kvilhaugsvik.
  * pristine-tar errors are no longer fatal for building the package.
    Thanks Muharem. (LP: #417153)
  * Refuse to build a conflicted tree. Thanks Muharem. (LP: #381303)
  * Don't crash if there are no deb-src lines when building. (LP: #375897)
  * Make import-dsc work against redirected URIs. Thanks Muharem (LP: #337209)

 -- James Westby <james.westby@ubuntu.com>  Sun, 26 Jul 2009 18:38:47 +0200

bzr-builddeb (2.2~ubuntu2) karmic; urgency=low

  [ James Westby ]
  * Don't cause the commit to fail if the changelog file is present but
    unknown.
  * Also avoid problems with SIGPIPE when running the build command.
    (LP: #399938)

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 26 Jul 2009 18:20:30 +0200

bzr-builddeb (2.2~ubuntu1) karmic; urgency=low

  [ James Westby ]
  * Don't remove the debian part of the version number twice. (LP: #372792)
  * Make import-dsc work when the package contains a symlink.
  * Also take file-ids from the upstream revision when doing an import-dsc.
  * Fix a stupid error when recreating the tarball using pristine-tar.
  * Add karmic to the list of releases.
  * Several fixes for import-dsc when used in a multi-branch setting
    (not possible from the command line).
  * Don't deadlock when the pristine-tar delta is large.
  * Avoid problems due to SIGPIPE and subprocess causing failures to
    uncompress some tarballs. Thansk to Colin Watson (LP: #395353)

  [ Jelmer Vernooij ]
  * Support Vcs-Hg in the deb: directory service if bzr-hg is installed.

 -- James Westby <james.westby@ubuntu.com>  Wed, 06 May 2009 17:49:49 +0100
