## bzr-builddeb 2.2~ubuntu3.1

=== debian/changelog ===
bzr-builddeb (2.2~ubuntu3.1) karmic-proposed; urgency=low

  * util.py: Add "lucid" to ubuntu_releases (LP: #476530).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sat, 02 Jan 2010 17:07:21 -0500
