=== debian/control ===
Source: bzr-builddeb
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>, James Westby <james.westby@ubuntu.com>
Build-Depends: debhelper (>= 5.0.37.2), python-all (>= 2.3.5-11)
Build-Depends-Indep: bzr (>= 1.10~), python-central (>= 0.5.8), python-docutils, python-debian (>= 0.1.11), python-apt, bzrtools (>= 1.2~), patchutils
Vcs-Bzr: http://bazaar.launchpad.net/~james-w/bzr-builddeb/2.1/
Vcs-Browser: http://bazaar.launchpad.net/~james-w/bzr-builddeb/2.1/
XS-Python-Version: >= 2.4
Standards-Version: 3.7.2

Package: bzr-builddeb
Architecture: all
Depends: bzr (>= 1.10~), python-debian (>= 0.1.11), python-apt, ${python:Depends}, dpkg-dev, fakeroot, bzrtools (>= 1.2), devscripts, patchutils, pristine-tar
Suggests: bzr-svn (>= 0.4.10)
Provides: bzr-buildpackage
XB-Python-Version: ${python:Versions}
Description: bzr plugin for Debian package management
 bzr-builddeb is a plugin for the bzr version control system that helps to
 automate the task of maintaining Debian packages using bzr. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a bzr branch, optionally using a separate
 upstream tarball.
