## bzr-builddeb 2.4.2

=== debian/changelog ===
bzr-builddeb (2.4.2) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Avoid AttributeError in the python-apt compatibility code.

  [ James Westby ]
  * Add 'maverick' as an Ubuntu release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 13 Apr 2010 21:37:53 +0200

bzr-builddeb (2.4.1) unstable; urgency=low

  [ Colin Watson ]
  * Consider a .dsc without a Format: to be Format: 1.0.

  [ Jelmer Vernooij ]
  * Fix use of getattr to have 3 arguments to avoid exception. (LP: #572093)

  [ James Westby ]
  * Fix for Launchpad's multi-version support.

 -- James Westby <james.westby@ubuntu.com>  Thu, 18 Mar 2010 14:19:53 -0400

bzr-builddeb (2.4) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Switch section to vcs.
  * Allow the directory service to work with older version of python-apt.
  * Fix compatibility with versions of bzr that don't have
  bzrlib.utils.configobj. (Closes: #572093)

  [ James Westby ]
  * Correct typo that causes packages with .orig.tar.bz2 to fail to build.
  * Also merge tags in merge-package.
  * Adapt to the python-apt 0.8 API. Thanks to Julian Andres Klode.
    (Closes: #572093)
  * Fix merge-upstream with just a branch. (LP: #528273)

  [ John Arbash Meinel ]
  * Improve the changelog merge hook to be smarter when both sides change.

  [ Steve Langasek ]
  * Make merge-upstream --v3 unpack .tar.bz2 with the correct arguments.
    (LP: #529900)

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Feb 2010 01:16:00 +0100

bzr-builddeb (2.3) experimental; urgency=low

  [ James Westby ]
  * Some support for v3 source formats (Closes: #562991)
    - Those that look quite a lot like v1 are supported well.
    - .tar.bz2 tarballs are supported for import, building, merge-upstream,
      etc., but only enabled for the latter with a --v3 switch for now.
    - Multiple orig.tar.gz is not supported.
    - .tar.lzma is not supported awaiting pristine-tar support.
  * New "dh-make" command ("dh_make" alias) that allows you to start
    packaging, either in an empty branch, or based on an upstream branch.
  * Fix merge-package for native packages (LP: #476348)
  * debian/changelog merge hook to reduce the manual conflict resolution
    required there. Thanks to John Arbash Meinel and Andrew Bennetts
    (LP: #501754).
    - Requires newer bzr.
  * Fix merge-package outside a shared repo (LP: #493462)
  * Fix exporting of symlinks (LP: #364671)
  * Add --force option to merge-upstream which may help certain people.
  * Use system configobj if the bzr copy isn't available. Thanks Jelmer.
  * Make merging multiple-root branches work. Thanks Robert Collins.
  * Disentangle from bzrtools. Thanks Max Bowser.

  [ Jelmer Vernooij ]
  * Bump standards version to 3.8.4.
  * Fix formatting in doc-base.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Feb 2010 00:44:03 +0100

bzr-builddeb (2.2) unstable; urgency=low

  * Upload to unstable.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 18 Jan 2010 19:15:26 +1300
