## bzr-builddeb 2.6

=== debian/changelog ===
bzr-builddeb (2.6) unstable; urgency=low

  [ James Westby ]

  * Don't fail if asked to use a .bz2 tarball that is already in the desired
    location. LP: #616786
  * Don't crash if we are asked to merge-upstream with an unrelated branch.
    LP: #619614.
  * Don't strip -n from the version we get in merge-upstream, as some
    upstreams have this in there, and trying to support both means supporting
    both badly. If you are used to doing "bzr merge-upstream --version
    <package version>" then it will no longer work for you, use the
    upstream version instead.
  * Don't crash when doing merge-upstream with a branch that does a rename
    and then ships another file with the old path in the tarball that isn't
    in the branch.

  [ Jelmer Vernooij ]

  * Fix the auto-detection of merge mode.
  * Don't crash on merge mode packages where there is no export-upstream
    if we can't find the tarball.
  * Determine Bazaar home directory using bzrlib to prevent test
    isolation issues. LP: #614125

 -- James Westby <james.westby@ubuntu.com>  Wed, 18 Aug 2010 20:12:20 -0400

bzr-builddeb (2.5) unstable; urgency=low

  [ Colin Watson ]
  * Consider a .dsc without a Format: to be Format: 1.0.

  [ Jelmer Vernooij ]
  * export now uses the timestamp of the last revision, making them more
    deterministic, and so hopefully producing the same tarballs when it is
    used for that.
  * Fix use of getattr to have 3 arguments to avoid exception. (LP: #572093)
  * Implement the automatic_tag_name hook so that "bzr tag" with no arguments
    will tag based on the version in debian/changelog.
  * Support upstream/VERSION tags, for compatibility with git-
    buildpackage. LP: #551362
  * Support upstream tarballs without a pristine tar delta.
  * Support -r argument to import-upstream.

  [ Robert Collins ]
  * Add import-upstream command which imports an upstream - useful for
    migrating existing packaging branches into pristine-tar using mode.
  * Stop stripping .bzrignore from tarball imports. LP: #496907
  * Make the upstream branch authoritative for file ids when importing a
    tarball, stopping errors when files are renamed. LP: #588060

  [ James Westby ]
  * Add a --package-merge option to builddeb to build with the -v and -sa
    appropriate when doing a merge from Debian or similar. LP: #576027
  * Fixed a logic error that stops -r working in merge-upstream. LP: #594575

  [ Jelmer Vernooij ]
  * Determine Bazaar home directory using bzrlib to prevent test
    isolation issues. Closes: #614125
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Aug 2010 18:23:54 +0200
