=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-builddeb/unstable
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-bazaar/bzr-builddeb/unstable
 XS-Python-Version: >= 2.4
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: bzr-builddeb
 Architecture: all
