## bzr-builddeb 2.6ubuntu0.1

=== debian/changelog ===
bzr-builddeb (2.6ubuntu0.1) maverick-proposed; urgency=low

  * util.py: Add 'natty' to the list of Ubuntu releases, so that bzr-builddeb
    can find out the last Ubuntu upload easily rather than give an error
    when builddeb is called with the --package-merge argument. (LP: #668764)

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Sat, 06 Nov 2010 16:42:35 +0300
